For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Get supportSee a Demo
HomeAPI ReferenceSDKs
HomeAPI ReferenceSDKs
    • SDKs
    • WebView
  • API Reference
      • POSTGet WebView Token
Get supportSee a Demo
API ReferenceWebView

Get WebView Token

POST
/v2/auth/issuers/:organizationId/users/:userId/token
POST
/v2/auth/issuers/:organizationId/users/:userId/token
$curl -X POST https://rewards-api.getkard.com/v2/auth/issuers/organization-123/users/user-123/token \
> -H "Authorization: Bearer <token>"
1{
2 "access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
3 "expires_in": 3600,
4 "token_type": "Bearer"
5}
Retrieves an OAuth token for webview authentication.
Was this page helpful?
Previous

Get

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
Your issuer organization ID, provided by Kard
userIdstringRequired
The ID of the user as defined on the issuers system

Response

This endpoint returns an object.
access_tokenstring
expires_ininteger
token_typestring

Errors

401
Unauthorized Error
500
Internal Server Error